package sharin.doc.builder.xhtml1;

import sharin.doc.builder.Elem;
import sharin.doc.builder.GenericXmlElem;

public class GenericCoreElem<E extends Elem> extends GenericXmlElem<E> {

    public GenericCoreElem(String name, Object... nodes) {
        super(name, nodes);
    }

    public E id(Object value) {
        return attr("id", value);
    }

    /**
     * class
     */
    public E clas(Object value) {
        return attr("class", value);
    }

    public E style(Object value) {
        return attr("style", value);
    }

    public E title(Object value) {
        return attr("title", value);
    }
}
